Bug 1297015 - hammer host reports --name returns error
hammer host reports --name returns error
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 13:04 EST by Tom Sorensen
Modified: 2017-08-01 16:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Sorensen 2016-01-08 13:04:16 EST
Description of problem:
hammer host reports --name foo  always returns an Error: 400 Bad Request


Version-Release number of selected component (if applicable):
6.1.4

How reproducible:
Always

Steps to Reproduce:
1. run "hammer host reports --name foo" substituting foo for a host known to Satellite

Actual results:
Error: 400 Bad Request

Expected results:
Output of reports for the host

Additional info:
hammer host info --name foo    works as expected, and hammer host reports --id XX at least doesn't error.
Comment 1 Bryan Kearney 2016-07-26 15:07:02 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-08-01 16:33:13 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.